Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.workitem.camel.uri
Class URIMapper

    java.lang.Object
      org.jbpm.process.workitem.camel.uri.URIMapper

Direct Known Subclasses:
  CXFURIMapper, FileURIMapper, FTPURIMapper, GenericURIMapper, JMSURIMapper, S3URIMapper, SQLURIMapper, XSLTURIMapper

    public abstract class URIMapper

extends Object

Field Summary
`protected String` | `schema`

Constructor Summary
`URIMapper(String schema)`

Method Summary
`protected URI` | `prepareCamelUri(String path, Map<String,Object> params)`
`protected URI` | `prepareCamelUri(String schema, String path, Map<String,Object> params)`
`abstract URI` | `toURI(Map<String,Object> params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### schema

    protected String schema

Constructor Detail

### URIMapper

    public URIMapper(String schema)

Method Detail

### toURI

    public abstract URI toURI(Map<String,Object> params)
                       throws URISyntaxException

  Throws:
    `URISyntaxException`

### prepareCamelUri

    protected URI prepareCamelUri(String path,
                                  Map<String,Object> params)
                           throws URISyntaxException

  Throws:
    `URISyntaxException`

### prepareCamelUri

    protected URI prepareCamelUri(String schema,
                                  String path,
                                  Map<String,Object> params)
                           throws URISyntaxException

  Throws:
    `URISyntaxException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.